/*************************************************************************************************
*
*
*			TestScrollDialogNative.c
*
*			-a skanky Native App for testing PowerPC version of ScrollDialogLib
*
*			13/7/94
*
*
*************************************************************************************************/

#include	"ScrollDialog.h"


#define		kAlertBoxID			128
#define		kTextUserItemID		2
#define		kTextResourceID		128
#define		kCanBeEdited		TRUE

void main(void)
{
	short		aHit;
	DialogPtr	sdw;
	
	InitGraf(&qd.thePort);									/* mac toolbox init stuff */
	InitFonts();
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(NIL);
	
	SetWatchCursor();
	FlushEvents(everyEvent,0);
	
	MaxApplZone();
	MoreMasters();
	
	InitCursor();

	sdw = GetTextDialog(kAlertBoxID,kTextUserItemID,kTextResourceID,kCanBeEdited);
	
	if (sdw)
	{
		ShowWindow(sdw);
		SelectWindow(sdw);
		
		aHit = 0;
		
		while(aHit == 0)
			ModalTDDialog(&aHit);
			
		DisposeTDDialog(sdw);
	
	}
}


int	SetWatchCursor(void)
{
	CursHandle	watch;
	
	watch = GetCursor(watchCursor);
	SetCursor(*watch);
}